variable "eks_cluster_id" {
  type        = string
  description = "The name/id of the EKS cluster. Will block on cluster creation until the cluster is really ready"
}

variable "eks_cluster_oidc_issuer_url" {
  type        = string
  description = "The EKS cluster OIDC issuer url"
}

variable "eks_oidc_provider_arn" {
  type        = string
  description = "The EKS cluster OIDC provider arn"
}

variable "eks_cluster_endpoint" {
  type        = string
  description = "Endpoint for your Kubernetes API server"
}

variable "eks_cluster_certificate_authority_data" {
  type        = string
  description = "Base64 encoded certificate data required to communicate with the cluster"
}

variable "addon_version" {
  type        = string
  description = "The addon version"
  default     = "v1.5.2-eksbuild.1"
}
