variable "aws_auth_configmap_yaml" {
  description = "Formatted yaml for base aws-auth configmap containing roles used in cluster node groups/fargate profiles"
  type        = string
}

variable "aws_auth_additional_roles" {
  type = list(object({
    rolearn  = string
    groups   = list(string)
    username = string
    }
  ))
}

variable "cluster_id" {
  type        = string
  description = "The name/id of the EKS cluster. Will block on cluster creation until the cluster is really ready"
}

variable "cluster_endpoint" {
  type        = string
  description = "Endpoint for your Kubernetes API server"
}

variable "cluster_certificate_authority_data" {
  type        = string
  description = "Base64 encoded certificate data required to communicate with the cluster"
}
