variable "environment" {
  description = "Environment name, used for secret naming convention"
  type        = string
}

variable "cluster_id" {
  type        = string
  description = "The name/id of the EKS cluster. Will block on cluster creation until the cluster is really ready"
}

variable "cluster_endpoint" {
  type        = string
  description = "Endpoint for your Kubernetes API server"
}

variable "cluster_certificate_authority_data" {
  type        = string
  description = "Base64 encoded certificate data required to communicate with the cluster"
}

variable "namespace" {
  type        = string
  description = "The namespace where the helm chart is deployed"
  default     = "aws-local-balancer"
}

variable "create_namespace" {
  type        = bool
  description = "Flag allowing to create the namespace if it does not exists"
  default     = true
}

variable "service_account_name" {
  type        = string
  description = "The name of the service account used by the controller"
}

variable "iam_role_arn" {
  type        = string
  description = "The arn of the IAM Role that have permissions required by the controller"
}
