variable "cluster_id" {
  type        = string
  description = "The name/id of the EKS cluster. Will block on cluster creation until the cluster is really ready"
}

variable "cluster_endpoint" {
  type        = string
  description = "Endpoint for your Kubernetes API server"
}

variable "cluster_certificate_authority_data" {
  type        = string
  description = "Base64 encoded certificate data required to communicate with the cluster"
}

variable "namespace" {
  type        = string
  description = "The namespace where cert-manager is deployed"
}

variable "create_namespace" {
  type        = bool
  description = "Flag allowing to create the namespace if it does not exists"
}
