resource "helm_release" "kube_prometheus_stack" {
  name             = var.prom_operator_release_name
  repository       = "https://prometheus-community.github.io/helm-charts"
  chart            = "kube-prometheus-stack"
  version          = "34.9.0"
  namespace        = var.namespace
  create_namespace = var.create_namespace

  set {
    name  = "prometheus.ingress.enabled"
    value = true
  }
  set {
    name  = "prometheus.ingress.hosts"
    value = "{prometheus-operator.${var.domain}}"
  }
  set {
    name  = "alertmanager.enabled"
    value = var.enable_alertmanager
  }
  set {
    name  = "alertmanager.ingress.enabled"
    value = var.enable_alertmanager
  }
  set {
    name  = "alertmanager.ingress.hosts"
    value = "{alertmanager.${var.domain}}"
  }
  set {
    name  = "grafana.enabled"
    value = var.enable_grafana
  }
  set {
    name  = "grafana.ingress.enabled"
    value = var.enable_grafana
  }
  set {
    name  = "grafana.ingress.hosts"
    value = "{grafana.${var.domain}}"
  }
}
