variable "cluster_id" {
  type        = string
  description = "The name/id of the EKS cluster. Will block on cluster creation until the cluster is really ready"
}

variable "cluster_endpoint" {
  type        = string
  description = "Endpoint for your Kubernetes API server"
}

variable "cluster_certificate_authority_data" {
  type        = string
  description = "Base64 encoded certificate data required to communicate with the cluster"
}

variable "namespace" {
  type        = string
  description = "The namespace where the kube-prometheus-stack is deployed"
  default     = "monitoring"
}

variable "create_namespace" {
  type        = bool
  description = "Flag allowing to create the namespace if it does not exists"
  default     = true
}

variable "domain" {
  type        = string
  description = "Domain name used to setup ingress for kube-prometheus-stack"
}

variable "prom_operator_release_name" {
  type        = string
  description = "The name of the Helm release deploying the prometheus stack chart"
  default     = "prometheus-community"
}

variable "pushgateway_release_name" {
  type        = string
  description = "The name of the Helm release deploying the pushgateway chart"
  default     = "pushgateway"
}

variable "enable_alertmanager" {
  type        = bool
  default     = true
  description = "Enable alertmanager in the Prometheus Operator"
}

variable "enable_grafana" {
  type        = bool
  default     = true
  description = "Enable grafana in the Prometheus Operator"
}

variable "enable_pushgateway" {
  type        = bool
  default     = true
  description = "Enable pushgateway in the Prometheus Operator"
}
